[Deprecated]: v1.0
post
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/labs/{labId}/labnormals/bulkLookUp
Retrieves all lab normals for the given list of lab criteria.
Request
Path Parameters
-
labId(required): string
The lab ID for which to create lab normals.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : LabNormalLookUpRequest v1.0
Type:
objectTitle:
LabNormalLookUpRequest v1.0Payload that carries lab normal lookup criteria.
Show Source
-
lookUpCriteria: array
Lookup Criteria
Title:
Lookup CriteriaList of criteria used to look up lab normals.
Nested Schema : Lookup Criteria
Type:
arrayTitle:
Lookup CriteriaList of criteria used to look up lab normals.
Show Source
-
Array of:
object LabNormalLookUpCriteria v1.0
Title:
LabNormalLookUpCriteria v1.0Criteria used to locate lab normals.
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : LabNormalLookUpCriteria v1.0
Type:
objectTitle:
LabNormalLookUpCriteria v1.0Criteria used to locate lab normals.
Show Source
-
age: string
Title:
AgeAge used as a lookup criterion.Example:10 -
ageUnits: string
Title:
Age UnitsUnits for the lookup age.Example:years -
collectionDate: string
(date)
Title:
Collection DateCollection date used as a lookup criterion.Example:2025-01-01 -
fasting: string
Title:
FastingFasting flag used as a lookup criterion.Example:Yes -
gender: string
Title:
GenderGender used as a lookup criterion.Example:Female -
race: string
Title:
RaceRace used as a lookup criterion.Example:Asian -
testName: string
Title:
Test NameTest name used as a lookup criterion.Example:HEMOGLOBIN
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : LabNormalBulkLookUpResponse v1.0
Type:
objectTitle:
LabNormalBulkLookUpResponse v1.0Bulk lookup response for lab normals.
Show Source
-
labNormals: array
Lab Normals
Title:
Lab NormalsLookup responses returned by the bulk lookup.
Nested Schema : Lab Normals
Type:
arrayTitle:
Lab NormalsLookup responses returned by the bulk lookup.
Show Source
-
Array of:
object LookUpResponse v1.0
Title:
LookUpResponse v1.0One lab normal lookup result.
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : LookUpResponse v1.0
Type:
objectTitle:
LookUpResponse v1.0One lab normal lookup result.
Show Source
-
age: string
Title:
AgeAge associated with the lookup result.Example:10 -
ageUnits: string
Title:
Age UnitsAge units associated with the lookup result.Example:years -
collectionDate: string
(date)
Title:
Collection DateCollection date associated with the lookup result.Example:2025-01-01 -
fasting: string
Title:
FastingFasting info returned by the lookup.Example:Yes -
gender: string
Title:
GenderGender associated with the lookup result.Example:Female -
labNormalsData: array
Lab Normals
Title:
Lab NormalsList of lab normals matching the lookup result. -
race: string
Title:
RaceRace associated with the lookup result.Example:Asian -
testName: string
Title:
Test NameTest name returned by the lookup.Example:HEMOGLOBIN
Nested Schema : Lab Normals
Type:
arrayTitle:
Lab NormalsList of lab normals matching the lookup result.
Show Source
-
Array of:
object LabNormalTO v1.0
Title:
LabNormalTO v1.0Schema describing a lab normal entry.
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : LabNormalTO v1.0
Type:
objectTitle:
LabNormalTO v1.0Schema describing a lab normal entry.
Show Source
-
ageFrom(required): integer
(int32)
Title:
Age FromLower bound for the age range.Example:5 -
ageFromUnits(required): string
Title:
Age From UnitsUnits used for the lower age bound.Example:years -
ageTo(required): integer
(int32)
Title:
Age ToUpper bound for the age range.Example:15 -
ageToUnits(required): string
Title:
Age To UnitsUnits used for the upper age bound.Example:years -
effectiveDate(required): string
(date)
Title:
Effective DateDate when the lab normal becomes effective.Example:2025-01-01 -
fasting: string
Title:
FastingAllowed Values:[ "Yes", "No" ]Fasting flag for the lab normal.Example:Yes -
gender: string
Title:
GenderGender applicable to the lab normal.Example:Female -
highRange: string
Title:
High RangeUpper limit for the lab normal range.Example:100 -
labNormalId: string
(uuid)
-
labUnit: string
Title:
Lab UnitMeasurement unit for the lab test.Example:mg/dL -
lowRange: string
Title:
Low RangeLower limit for the lab normal range.Example:10 -
race: string
Title:
RaceRace targeted by the lab normal.Example:Asian -
sequence(required): integer
(int32)
Title:
SequenceMinimum Value:1Ordering number for the lab normal.Example:5 -
standardResult: string
Title:
Standard ResultStandard result value for the lab normal.Example:100 -
test(required): string
Title:
TestName of the lab test.Example:HEMOGLOBIN
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples